import { Disposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { IWorkbenchContribution } from "@codingame/monaco-vscode-api/vscode/vs/workbench/common/contributions";
import { ITaskService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/tasks/common/taskService.service";
import { Action2 } from "@codingame/monaco-vscode-api/vscode/vs/platform/actions/common/actions";
import { ServicesAccessor } from "@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/instantiation";
import { IWorkspaceTrustManagementService } from "@codingame/monaco-vscode-api/vscode/vs/platform/workspace/common/workspaceTrust.service";
import { IConfigurationService } from "@codingame/monaco-vscode-api/vscode/vs/platform/configuration/common/configuration.service";
import { ILogService } from "@codingame/monaco-vscode-api/vscode/vs/platform/log/common/log.service";
export declare class RunAutomaticTasks extends Disposable implements IWorkbenchContribution {
    private readonly _taskService;
    private readonly _configurationService;
    private readonly _workspaceTrustManagementService;
    private readonly _logService;
    private _hasRunTasks;
    constructor(_taskService: ITaskService, _configurationService: IConfigurationService, _workspaceTrustManagementService: IWorkspaceTrustManagementService, _logService: ILogService);
    private _tryRunTasks;
    private _runTasks;
    private _getTaskSource;
    private _findAutoTasks;
    private _runWithPermission;
}
export declare class ManageAutomaticTaskRunning extends Action2 {
    static readonly ID = "workbench.action.tasks.manageAutomaticRunning";
    static readonly LABEL: string;
    constructor();
    run(accessor: ServicesAccessor): Promise<any>;
}
